### Method

# EBook BookClientView set_sort_fields_sync

since: 3.50

#### Declaration [src]

    gboolean
    e_book_client_view_set_sort_fields_sync (
      EBookClientView* self,
      const EBookClientViewSortFields* fields,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Sets `fields` to sort the view by. The default is to sort by the file-as field in ascending order. Not every field can be used for sorting, usually available fields are `E_CONTACT_FILE_AS`, `E_CONTACT_GIVEN_NAME` and `E_CONTACT_FAMILY_NAME`.

The array is terminated by an item with an `E_CONTACT_FIELD_LAST` field.

The first sort field is used to populate indices, as returned by e_book_client_view_dup_indices().

Note: This function can be used only with `E_BOOK_CLIENT_VIEW_FLAGS_MANUAL_QUERY`.

Available since: 3.50

#### Parameters

`fields`

  Type: `EBookClientViewSortFields`

  An array of `EBookClientViewSortFields`, terminated by item with `E_CONTACT_FIELD_LAST` field.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.